Create a chat completion
curl --request POST \
--url https://api.prismgateway.io/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>",
"tool_calls": [
"<unknown>"
],
"name": "<string>",
"tool_call_id": "<string>"
}
],
"stream": true,
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"frequency_penalty": 0,
"presence_penalty": 0,
"tools": [
"<unknown>"
],
"tool_choice": "<string>",
"user": "<string>",
"response_format": "<unknown>",
"seed": 0,
"logprobs": true,
"top_logprobs": 10,
"n": 64,
"stop": "<string>"
}
'import requests
url = "https://api.prismgateway.io/v1/chat/completions"
payload = {
"model": "<string>",
"messages": [
{
"content": "<string>",
"tool_calls": ["<unknown>"],
"name": "<string>",
"tool_call_id": "<string>"
}
],
"stream": True,
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"frequency_penalty": 0,
"presence_penalty": 0,
"tools": ["<unknown>"],
"tool_choice": "<string>",
"user": "<string>",
"response_format": "<unknown>",
"seed": 0,
"logprobs": True,
"top_logprobs": 10,
"n": 64,
"stop": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [
{
content: '<string>',
tool_calls: ['<unknown>'],
name: '<string>',
tool_call_id: '<string>'
}
],
stream: true,
temperature: 1,
max_tokens: 2,
top_p: 0.5,
frequency_penalty: 0,
presence_penalty: 0,
tools: ['<unknown>'],
tool_choice: '<string>',
user: '<string>',
response_format: '<unknown>',
seed: 0,
logprobs: true,
top_logprobs: 10,
n: 64,
stop: '<string>'
})
};
fetch('https://api.prismgateway.io/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}Chat
Create a chat completion
POST
/
v1
/
chat
/
completions
Create a chat completion
Authorizations
Prism API key beginning with sk-prism-
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required string length:
1 - 256Minimum array length:
1Show child attributes
Show child attributes
Required range:
0 <= x <= 2Required range:
x >= 1Required range:
0 <= x <= 1Required range:
-2 <= x <= 2Required range:
-2 <= x <= 2Required range:
0 <= x <= 20Required range:
1 <= x <= 128Response
OpenAI-compatible chat completion or server-sent event stream.
The response is of type object.
⌘I